
-- | Re-exporting the Algebra.* modules.
-- 
-- Because of limitations of the import-export mechanism, you still have
-- to do
--
-- > import Math.RootLoci.Algebra
-- > import qualified Math.RootLoci.Algebra.FreeMod as ZMod
--

module Math.RootLoci.Algebra
  ( ZMod , QMod , FreeMod 
  , module Math.RootLoci.Algebra.Polynomial
  , module Math.RootLoci.Algebra.SymmPoly
--  , module ZMod                               -- apparently this does not work
  )
  where

import Math.RootLoci.Algebra.FreeMod ( ZMod , QMod , FreeMod )
import qualified Math.RootLoci.Algebra.FreeMod as ZMod

import Math.RootLoci.Algebra.Polynomial
import Math.RootLoci.Algebra.SymmPoly